Subject: Re: bug#58204: guix system reconfigure hangs silently when substitute server is unreachable

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 03 Oct 2022 21:46:52 -0400

Hi,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> While fixing up Berlin today, I had to use '--no-substitutes' on the
>> daemon started per 'info (guix)Chrooting', otherwise it'd hang up
>> without printing any of the warnings (totally silent).  Using strace, I
>> could see:
>>
>> guix substitute: warning: ci.guix.gnu.org: host not found: System error
>>
>> It'd be nice if these warnings were propagated all the way up so the
>> user would realize what is happening and take action.
>
> I think it’s supposed to be propagated.

It wasn't :-/.

> In the example above, I guess there were cached ci.guix.gnu.org narinfos
> for those substitutes and the “host not found” error arose when actually
> trying to substitute these, right?

I guess so!  It's not an easily situation to reproduce, so perhaps the
best we can do is assume this was the case and validate the
corresponding code path.

Thanks,

-- 
Maxim